body {
    overflow: hidden;
}

img {
    position: absolute;
    width: 160px;
}

@-webkit-keyframes jellyfish {
    0% {
        top: 250px;
        left: 200px;
        opacity: 1;
        transform: rotate(30deg);
    }

    10% {
        top: 270px;
        left: 100px;
        opacity: 0;
        transform: rotate(50deg);
    }  

    15% {
        top: 330px;
        left: 20px;
        opacity: 1;
        transform: rotate(100deg);
    }    

    20% {
        top: 390px;
        left: 200px;
        opacity: 0;
        transform: rotate(170deg);
    }     

    25% {
        top: 260px;
        left: 220px;
        opacity: 1;
        transform: rotate(160deg);
    }     

    30% {
        top: 300px;
        left: 130px;
        opacity: 1;
        transform: rotate(200deg);
    }         

    35% {
        top: 580px;
        left: 130px;
        opacity: 0;
        transform: rotate(200deg);
    }     

    40% {
        top: 580px;
        left: 200px;
        opacity: 1;
        transform: rotate(270deg);
    }   

    45% {
        top: 580px;
        left: 430px;
        opacity: 0;
        transform: rotate(290deg);
    } 

    50% {
        top: 350px;
        left: 410px;
        opacity: 0;
        transform: rotate(330deg);
    }     

    55% {
        top: 300px;
        left: 410px;
        opacity: 1;
        transform: rotate(330deg);
    } 

    65% {
        top: 100px;
        left: 410px;
        opacity: 0;
        transform: rotate(430deg);
    }  

    70% {
        top: 0px;
        left: 410px;
        opacity: 1;
        transform: rotate(500deg);
    }      

    75% {
        top: 0px;
        left: 400px;
        opacity: 1;        
        transform: rotate(550deg);
    }

    80% {
        top: 0px;
        left: 340px;
        opacity: 0;
        transform: rotate(590deg);
    }     

    85% {
        top: 0px;
        left: 220px;
        opacity: 0;
        transform: rotate(600deg);
    }     

    90% {
        top: 100px;
        left: 215px;
        opacity: 1;
        transform: rotate(620deg);
    }      

    100% {
        top: 250px;
        left: 200px;
        opacity: 1;
        transform: rotate(400deg);
    }         
}    

#jellyfish {
    -webkit-animation-name: jellyfish; /* Uses the name of the animation above to apply it to an element. */
    -webkit-animation-duration: 30s; /* Speed of animation. */
    -webkit-animation-iteration-count: infinite; /* The animation will repeat forever. */
}